class StyleMaterialsController < ApplicationController
  model_data_store(StyleMaterial)

  def before_set_targets
    StyleMaterial.active
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:style_material).permit(:style_id, :material_code, :tint_code, :treat_code, :material_description)
  end
end
