user_ids = Config.unscope(:where).pluck(:user_id).uniq
user_ids.each do |user_id|
  user_configs = Config.unscope(:where).where(user_id: user_id)

  customers = ConfigCustomer.none
  best_config = nil
  user_configs.find_each do |user_config|
    if user_config.config_customers.count >= customers.count
      customers = user_config.customers
      best_config = user_config
    end
  end

  p "setting user_id: #{user_id} customers: #{customers.count}"

  config_to_update = user_configs.order(:created_at).first
  config_to_update&.update(
    customers: best_config.customers,
    allow_personalization: best_config.allow_personalization,
    continuous_entry: best_config.continuous_entry,
    default_frame_status: best_config.default_frame_status,
    default_job_type: best_config.default_job_type,
    edge_frame: best_config.edge_frame,
    pd: best_config.pd,
    quick_codes_only: best_config.quick_codes_only,
    selected_order_columns: best_config.selected_order_columns,
    show_confirmation: best_config.show_confirmation
  )
end